Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface InitializeableNode

All Known Implementing Classes:
  AbstractMapComponentNode, AbstractNullnessCheckNode, AbstractRestrictableStatement, AbstractSelectExpression, AbstractStatement, AggregateNode, BinaryArithmeticOperatorNode, BinaryLogicOperatorNode, BooleanLiteralNode, Case2Node, CaseNode, CollectionFunction, ComponentJoin, ConstructorNode, CountNode, DeleteStatement, DotNode, FromClause, FromElement, FromReferenceNode, HqlSqlWalkerNode, IdentNode, ImpliedFromElement, IndexNode, InLogicOperatorNode, InsertStatement, IntoClause, IsNotNullLogicOperatorNode, IsNullLogicOperatorNode, LiteralNode, MapEntryNode, MapKeyNode, MapValueNode, MethodNode, OrderByClause, ParameterNode, QueryNode, ResultVariableRefNode, SelectClause, SelectExpressionImpl, SelectExpressionList, UnaryArithmeticNode, UnaryLogicOperatorNode, UpdateStatement

    public interface InitializeableNode

An interface for initializeable AST nodes.

Method Summary
`void` | `initialize(Object param)` Initializes the node with the parameter.

Method Detail

### initialize

    void initialize(Object param)

  Initializes the node with the parameter.

  Parameters:
    `param` - the initialization parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.